 Rem File: Status.bas - for Edit*.bas modules
 Rem $Include: 'edit.inc'

Sub Edit.Status.Line
 On Local Error Goto Error.Trap58
 Var$="DND Editor > timeon: "+Fclock2$
 Var$=Left$(Var$,79)
 Var$=Var$+Space$(79-Len(Var$))
 Var1 = CSRLIN
 Var2 = POS(0)
 Call Display.Status.Line(Var1,Var2,True,Var$)
Error.Resume58:
 Exit Sub
Error.Trap58:
 Resume Error.Resume58
End Sub

Sub Clear.Status.Line
 On Local Error Goto Error.Trap58a
 Var$=Space$(79)
 Var1 = CSRLIN
 Var2 = POS(0)
 Call Display.Status.Line(Var1,Var2,False,Var$)
Error.Resume58a:
 Exit Sub
Error.Trap58a:
 Resume Error.Resume58a
End Sub

Sub Display.Status.Line(Var1,Var2,Var,Var$)
 On Local Error Goto Error.Trap29
' Call Cursor(False)
 If Var Then
    Color 14,1
 Else
    Color 15,0
 Endif
 Locate Max.Row,1,0
 Print Var$;
 If Var Then
    Color 0, 1
 Else
    Color 7, 0
 Endif
 Locate Max.Row,80
 Print " ";
' Locate Max.Row-1,1,1
 Locate Var1,Var2,1
 Graphics.Off=False
' Call Restore.Color
' Call Cursor(True)
Error.Resume29:
 Exit Sub
Error.Trap29:
 Resume Error.Resume29
End Sub
